
#ifdef __cplusplus
extern "C" {
#endif

#pragma once


#include "HROOT-histType.h"

#include "HROOTHistTGraph.h"

#include "HROOTCoreTNamed.h"

#include "HROOTCoreTAttLine.h"

#include "HROOTCoreTAttFill.h"

#include "HROOTCoreTAttMarker.h"

#include "HROOTCoreTObject.h"

#include "STDDeletable.h"


#define TGRAPHERRORS_DECL_VIRT(Type) \
void Type##_SetPointError ( Type##_p p, int i, double ex, double ey );


#define TGRAPHERRORS_DECL_NONVIRT(Type) \
Type##_p Type##_newTGraphErrors ( int n, double* x, double* y, double* ex, double* ey );


#define TGRAPHERRORS_DECL_ACCESSOR(Type) \



#define TGRAPHERRORS_DEF_VIRT(Type) \
void Type##_SetPointError ( Type##_p p, int i, double ex, double ey ) {\
((TYPECASTMETHOD(Type, SetPointError, TGraphErrors))(p))->SetPointError(i, ex, ey);\
}


#define TGRAPHERRORS_DEF_NONVIRT(Type) \
Type##_p Type##_newTGraphErrors ( int n, double* x, double* y, double* ex, double* ey ) {\
Type* newp=new Type(n, x, y, ex, ey);return from_nonconst_to_nonconst<Type##_t, Type>(newp);\
}


#define TGRAPHERRORS_DEF_ACCESSOR(Type) \



TGRAPH_DECL_VIRT(TGraphErrors)
TNAMED_DECL_VIRT(TGraphErrors)
TATTLINE_DECL_VIRT(TGraphErrors)
TATTFILL_DECL_VIRT(TGraphErrors)
TATTMARKER_DECL_VIRT(TGraphErrors)
TOBJECT_DECL_VIRT(TGraphErrors)
DELETABLE_DECL_VIRT(TGraphErrors)
TGRAPHERRORS_DECL_VIRT(TGraphErrors)
TGRAPHERRORS_DECL_NONVIRT(TGraphErrors)
TGRAPHERRORS_DECL_ACCESSOR(TGraphErrors)

#ifdef __cplusplus
}
#endif

