
#include "MacroPatternMatch.h"

#include "HROOTHistTH3.h"

#include "HROOTCoreTArrayS.h"

#include "TH3S.h"

#include "HROOTHistTH3S.h"

using namespace ROOT;

#define CHECKPROTECT(x,y) FXIS_PAREN(IS_ ## x ## _ ## y ## _PROTECTED)

#define TYPECASTMETHOD(cname,mname,oname) \
  FXIIF( CHECKPROTECT(cname,mname) ) ( \
  (from_nonconst_to_nonconst<oname,cname ## _t>), \
  (from_nonconst_to_nonconst<cname,cname ## _t>) )


#define IS_TH3S_fill1_PROTECTED ()

#define IS_TH3S_fill1w_PROTECTED ()
TH3_DEF_VIRT(TH3S)
TARRAYS_DEF_VIRT(TH3S)
TH1_DEF_VIRT(TH3S)
TATT3D_DEF_VIRT(TH3S)
TNAMED_DEF_VIRT(TH3S)
TATTLINE_DEF_VIRT(TH3S)
TATTFILL_DEF_VIRT(TH3S)
TATTMARKER_DEF_VIRT(TH3S)
TOBJECT_DEF_VIRT(TH3S)
DELETABLE_DEF_VIRT(TH3S)
TARRAY_DEF_VIRT(TH3S)
TH3S_DEF_VIRT(TH3S)
TH3S_DEF_NONVIRT(TH3S)
TH3S_DEF_ACCESSOR(TH3S)

