
#include "MacroPatternMatch.h"

#include "HROOTHistTGraph.h"

#include "HROOTCoreTNamed.h"

#include "TMultiGraph.h"

#include "HROOTHistTMultiGraph.h"

using namespace ROOT;

#define CHECKPROTECT(x,y) FXIS_PAREN(IS_ ## x ## _ ## y ## _PROTECTED)

#define TYPECASTMETHOD(cname,mname,oname) \
  FXIIF( CHECKPROTECT(cname,mname) ) ( \
  (from_nonconst_to_nonconst<oname,cname ## _t>), \
  (from_nonconst_to_nonconst<cname,cname ## _t>) )

TNAMED_DEF_VIRT(TMultiGraph)
TOBJECT_DEF_VIRT(TMultiGraph)
DELETABLE_DEF_VIRT(TMultiGraph)
TMULTIGRAPH_DEF_VIRT(TMultiGraph)
TMULTIGRAPH_DEF_NONVIRT(TMultiGraph)
TMULTIGRAPH_DEF_ACCESSOR(TMultiGraph)

